package test.cdi;

import javax.ejb.Stateless;
import javax.inject.Inject;

@Stateless
public class TestDependencyInjection implements TestDependencyInjectionRemote {

	private final SayHello hello;

	@Inject
	public TestDependencyInjection(final SayHello hello) {
		this.hello = hello;
	}

	@Override
	public String saySomething() {
		return hello.saySomething();
	}
}
